/**
 * Enum representing different versions of Bedrock models provided by Anthropic.
 * These models include various versions and types such as "haiku" and "sonnet".
 *
 * Members:
 * - BEDROCK_ANTHROPIC_CLAUDE_3_HAIKU: Represents the Claude 3 Haiku model version with a specific timestamp and identifier.
 * - BEDROCK_ANTHROPIC_CLAUDE_3_5_HAIKU: Represents the Claude 3.5 Haiku model version available under a specific timestamp and identifier.
 * - BEDROCK_ANTHROPIC_CLAUDE_3_5_SONNET: Represents the Claude 3.5 Sonnet model with a specific timestamp and identifier.
 * - BEDROCK_ANTHROPIC_CLAUDE_3_7_SONNET: Represents the Claude 3.7 Sonnet model version identified by its timestamp and unique identifier.
 */
export declare enum BedrockModel {
    BEDROCK_ANTHROPIC_CLAUDE_3_HAIKU = 'anthropic.claude-3-haiku-20240307-v1:0',
    BEDROCK_ANTHROPIC_CLAUDE_3_5_HAIKU = 'us.anthropic.claude-3-5-haiku-20241022-v1:0',
    BEDROCK_ANTHROPIC_CLAUDE_3_5_SONNET = 'anthropic.claude-3-5-sonnet-20240620-v1:0',
    BEDROCK_ANTHROPIC_CLAUDE_3_7_SONNET = 'us.anthropic.claude-3-7-sonnet-20250219-v1:0',
    AMAZON_NOVA_PRO_V1 = 'us.amazon.nova-pro-v1:0',
    DEEPSEEK_R1_V1 = 'us.deepseek.r1-v1:0',
}
